%define anolis_release 1
Name:           amtk
Version:        5.6.1
Release:        %{anolis_release}%{?dist}
Summary:        Actions, Menus and Toolbars Kit for GTK+ applications

License:        LGPL-3.0-or-later
URL:            https://wiki.gnome.org/Projects/Amtk
Source0:        https://download.gnome.org/sources/amtk/5.6/amtk-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gtk-doc
BuildRequires:  meson >= 0.53
BuildRequires:  pkgconfig(gio-2.0) >= 2.56
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.2

%description
Amtk is the acronym for “Actions, Menus and Toolbars Kit”. It is a basic
GtkUIManager replacement based on GAction. It is suitable for both a
traditional UI or a modern UI with a GtkHeaderBar.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}
BuildArch: noarch

%description doc
This package contains documentation for %{name}.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true
%meson_build


%install
%meson_install

%find_lang amtk-5

%generate_compatibility_deps

%files -f amtk-5.lang
%license LICENSES/LGPL-3.0-or-later.txt
%dir %{abidir}
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Amtk-5.typelib
%{_libdir}/libamtk-5.so.0*
%{abidir}/libamtk-5.dump

%files doc
%doc NEWS README.md

%files devel
%{_includedir}/amtk-5/
%{_libdir}/libamtk-5.so
%{_libdir}/pkgconfig/amtk-5.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Amtk-5.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/amtk-5

%changelog
* Sun Apr 30 2023 Funda Wang <fundawang@yeah.net> - 5.6.1-1
- Import package for anolis 23
